{
    "type": "minecraft:crafting_shaped",
    "pattern": [
        "dpd",
        "php",
        "dpd"
    ],
    "key": {
        "h": {
            "item": "minecraft:honey_bottle"
        },
        "p": {
            "item": "minecraft:phantom_membrane"
        },
        "d": {
            "item": "minecraft:diamond"
        }
    },
    "result": {
        "item": "knowledge_book",
        "count": 1
    }
}